tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jonathan Rosenberg <shmol...@gmail.com>
Subject Re: Apache HTTPD <-> Tomcat, Passing Errors
Date Mon, 05 Dec 2011 21:54:20 GMT
Thanks for the additional info.

I fell asleep at the wheel re: top posting & hit reply (instead of
reply to all) by accident.

Repetently yours,

--
Jonathan Rosenberg
Founder & Executive Director
Tabby's Place, a Cat Sanctuary
http://www.tabbysplace.org/


On Mon, Dec 5, 2011 at 4:18 PM, Mark Montague <mark@catseye.org> wrote:
> On December 5, 2011 16:04 , Jonathan Rosenberg <shmoldie@gmail.com> wrote:
>
>> On Mon, Dec 5, 2011 at 3:51 PM, Mark Montague<mark@catseye.org>  wrote:
>>>
>>> On December 5, 2011 15:42 , Jonathan Rosenberg<shmoldie@gmail.com>
>>>  wrote:
>>>>
>>>> I'd like page-request errors on the Tomcat side to be to be passed
>>>> back to httpd for handling.  right now, Tomcat formats the error page
>>>> &    passes that back.
>>>
>>> Unfortunately, while ProxyErrorOverride has been available for HTTP
>>> reverse-proxies, it was just added for AJP reverse-proxies in Apache HTTP
>>> Server 2.3.12.  The feature will hopefully be backported into the next
>>> release of the 2.2 branch, though, so check again when 2.2.22 is
>>> released.
>>>  For more information, see
>>> https://issues.apache.org/bugzilla/show_bug.cgi?id=50945
>
>
>> Thanks for the info.  Is there any kind of simple, if ugly, workaround
>> available?
>
>
> Please don't top-post; it destroys the natural flow of reading.  Also, don't
> reply to people privately off-list, since it deprives other people who may
> be interested of subsequent information, and also prevents other people who
> might have additional information or better suggestions from offering them
> to you.
>
> Workarounds include:
>
> - Use HTTP instead of AJP between Apache HTTP Server and Tomcat.  You can
> then use the ProxyErrorOverride directive.  Or,
>
> - Apply the last patch at the Bugzilla link above to Apache HTTP Server
> 2.2.x source code and compile it.  This will add support for
> ProxyErrorOverride for the AJP protocol.  Or,
>
> - Upgrade to Apache HTTP Server 2.3.12 or later.  Or,
>
> - Live with the Tomcat-generated error pages for now, and wait to see if
> ProxyErrorOverride support for AJP is in Apache HTTP Server 2.2.22 when it
> gets released.  You can subscribe to the CC list for the bug to follow it,
> and possibly even vote on the bug.
>
> --
>  Mark Montague
>  mark@catseye.org
>

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message